Skip to main content
GET
/
transfers
/
recipients
/
{id}
Retrieve a transfer recipient
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/transfers/recipients/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "bank": {
      "account_number": "<string>",
      "code": "<string>",
      "account_type": "checking",
      "branch": "<string>",
      "name": "<string>",
      "routing_number": "<string>",
      "swift_code": "<string>",
      "sort_code": "<string>"
    },
    "id": "<string>",
    "type": "bank",
    "name": {
      "first": "King",
      "middle": "Leo",
      "last": "LeBron"
    },
    "currency": "NGN",
    "national_identification": {
      "type": "PASSPORT",
      "identifier": "FLY5869798686",
      "expiration_date": "2029-07-08"
    },
    "phone": {
      "country_code": "234",
      "number": "08012345678"
    },
    "date_of_birth": "<string>",
    "email": "hi@flutterwave.com",
    "address": {
      "city": "New York",
      "country": "US",
      "line1": "123 Main Street",
      "postal_code": "10001",
      "state": "New York",
      "line2": "Apt 4B"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Path Parameters

id
string
required

ID of the transfer recipient

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
data
object